gh(1)

NAME

gh-gist-create - Create a new gist

SYNOPSIS

gh gist create [... | -] [flags]

DESCRIPTION

Create a new GitHub gist with given contents.

Gists can be created from one or multiple files. Alternatively, pass "-" as file name to read from standard input.

By default, gists are private; use '--public' to make publicly listed ones.

OPTIONS

-d, --desc=""
    A description for this gist

-f, --filename=""
    Provide a filename to be used when reading from STDIN

-p, --public[=false]
    List the gist publicly (default: private)

-w, --web[=false]
    Open the web browser with created gist

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE

    # publish file 'hello.py' as a public gist
    $ gh gist create --public hello.py
    # create a gist with a description
    $ gh gist create hello.py -d "my Hello-World program in Python"
    # create a gist containing several files
    $ gh gist create hello.py world.py cool.txt
    # read from standard input to create a gist
    $ gh gist create -
    # create a gist from output piped from another command
    $ cat cool.txt | gh gist create

SEE ALSO

gh-gist(1)